Ubuntu

can no longer be selected as default mail application

Reported by steubens on 2011-04-08
104
This bug affects 21 people
Affects Status Importance Assigned to Milestone
desktop-webmail
Undecided
Unassigned
desktop-webmail (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: desktop-webmail

as in title, i filed a bug earlier about it not working with indicator-message before; it seems their solution was to change the wording in the "preferred applications" applet, so compose only mailers do not literally fit into either role. i use web mail exclusively and would like to use it in its proper role in the indicator-message menu and as a desktop mime handler for email:

but i'm referring to above: https://bugs.launchpad.net/ubuntu/+source/indicator-messages/+bug/429569

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: desktop-webmail 002-0ubuntu2
ProcVersionSignature: Ubuntu 2.6.38-8.41-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
Architecture: amd64
Date: Thu Apr 7 23:09:13 2011
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: desktop-webmail
UpgradeStatus: Upgraded to natty on 2011-03-17 (21 days ago)

steubens (steubens) wrote :
Johannes Frank (jmfrank) wrote :

Is there anyone looking after this? Now that Natty is out this is really annoying.

steubens (steubens) wrote :

as i said in the initial message, they changed the meaning of a "default mail client" to suit the contact/presence menu, if desktop-webmail is going to return it probably needs to be able to compose directly and start a client with a message, as that's all the other mailers require to show up on that menu, as of the last time i used it it just handled mailto: which was an implicit compose

description: updated
steubens (steubens) wrote :

i looked into this a bit again, i'm gonna prepare a patch to support the messaging menu, it's just a matter of changing the .desktop to include X-Ayatana-Desktop-Shortcuts=, and the subsections for each shortcut it supports

you can look at /usr/share/applications/evolution.desktop for how to do it
the files that reference the entries are here: /usr/share/indicators/messages/applications

hopefully that will be enough until i have time to put the patch together, thanks!

Matt Joiner (anacrolix) wrote :

Yep this broke on Natty for me.

Shahar Or (mightyiam) on 2011-05-05
Changed in desktop-webmail (Ubuntu):
status: New → Confirmed
Jérôme Poulin (jeromepoulin) wrote :

Don't forget to add the MimeType.

Example file, opens GMail but ignores the mailto: content :-/

[Desktop Entry]
Encoding=UTF-8
Name=Desktop Webmail
GenericName=Email
Comment=Compose email in browser
Comment[de]=EMail in Browser schreiben
Exec=desktop-webmail %s
Icon=desktop-webmail
Terminal=false
Type=Application
StartupNotify=true
Categories=Application;Network;Email
MimeType=x-scheme-handler/mailto
X-Ayatana-Desktop-Shortcuts=Compose

[Compose Shortcut Group]
Name=Compose New Message
Exec=desktop-webmail mailto:
TargetEnvironment=Messaging Menu;Unity

Jérôme Poulin (jeromepoulin) wrote :

Fixed after reading http://askubuntu.com/questions/35488/list-of-custom-launchers-quicklists-for-unity

%s replaced with %U

[Desktop Entry]
Encoding=UTF-8
Name=Desktop Webmail
GenericName=Email
Comment=Compose email in browser
Comment[de]=EMail in Browser schreiben
Exec=desktop-webmail %U
Icon=desktop-webmail
Terminal=false
Type=Application
StartupNotify=true
Categories=Application;Network;Email
MimeType=x-scheme-handler/mailto
X-Ayatana-Desktop-Shortcuts=Compose

[Compose Shortcut Group]
Name=Compose New Message
Exec=desktop-webmail mailto:
TargetEnvironment=Messaging Menu;Unity

Jérôme Poulin (jeromepoulin) wrote :

Drop-in replacement to
/usr/share/applications/desktop-webmail.desktop
which work after issuing
sudo update-desktop-database

Antti Teliö (antti-telio) wrote :

The fix worked for me (at least I got Desktop Webmail as an option in the dropdown menu).
Thank you, guys.

Andrew (andrewkk) wrote :

This problem is still occurring in Oneiric Ocelot Beta 2.

Antti Teliö (antti-telio) wrote :

The fix doesn't quite get there: when I try to send a file from Nautilus, it opens me the gmail compose window with correct receiver but the file is not attached.

Antti Teliö (antti-telio) wrote :

Hmm, maybe it's another bug, actually?

Shahar Or (mightyiam) wrote :

Yes, please file that as a different bug!

Alexander Sack (asac) wrote :

------------------------------------------------------------
revno: 32
committer: Alexander Sack <email address hidden>
branch nick: desktop-webmail
timestamp: Sat 2011-12-03 11:35:15 +0100
message:
  make update-po and add missing de and nl translation for 'Compose New Message' msgid
------------------------------------------------------------
revno: 31
committer: Alexander Sack <email address hidden>
branch nick: desktop-webmail
timestamp: Sat 2011-12-03 11:34:52 +0100
message:
  add nl to ALL_LINGUAS
------------------------------------------------------------
revno: 30
committer: Alexander Sack <email address hidden>
branch nick: desktop-webmail
timestamp: Sat 2011-12-03 11:24:51 +0100
message:
  improve .desktop file to include mime-type and support unity lp:754321
   - fixes desktop-webmail can no longer be selected as default mail application
   - thx to TiCPU (jeromepoulin) for the basics
------------------------------------------------------------

Changed in desktop-webmail:
status: New → Fix Released
Alexander Sack (asac) on 2011-12-03
Changed in desktop-webmail:
status: Fix Released → Fix Committed
milestone: none → 003
Alexander Sack (asac) wrote :
Changed in desktop-webmail:
status: Fix Committed → Fix Released
Alexander Sack (asac) wrote :

for oneiric and precise please try 003 packages from this ppa: https://launchpad.net/~asac/+archive/sandbox/+packages

if you dont know how, use this:

 sudo add-apt-repository ppa:asac/sandbox
 sudo apt-get update
 sudo apt-get install desktop-webmail

verify that you use a 003 based version using:
 dpkg -l desktop-webmail

please confirm that this makes this issue go away for you.

Changed in desktop-webmail (Ubuntu):
status: Confirmed → Fix Committed
Shahar Or (mightyiam) wrote :

I'm not sure how to test this. I don't know where I have a link other than in Firefox in the system like in a GTK app or Qt app.

Louis Ng (louis-nhs) wrote :

Thank you Alexander #16. Problem fixed.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package desktop-webmail - 003-0ubuntu1

---------------
desktop-webmail (003-0ubuntu1) precise; urgency=low

  * New upstream release 003
    - fixes LP: #769235 - Icons & app names identical for desktop-email & desktop-email-config
    - fixes LP: #651183 - FTBFS: cairo.h:1976: error: comma at end of enumerator list
    - fixes LP: #754321 - can no longer be selected as default mail application
  * drop debian/patches/ftbfs-no-pedantic.patch now addressed upstream
  * bump debian/control Standards-Version => 3.9.2
 -- Alexander Sack <email address hidden> Sat, 03 Dec 2011 12:38:24 +0100

Changed in desktop-webmail (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers